Page MenuHomePhabricator

[Quarterly Success Metric] Green nightly builds on the staging cluster (tracking)
Closed, DeclinedPublic

Related Objects

StatusSubtypeAssignedTask
DeclinedNone
DeclinedNone
Resolvedthcipriani
Resolvedfaidon
DeclinedNone
DeclinedNone
ResolvedNone
Resolveddemon
Resolvedmmodell
DeclinedNone
DeclinedNone
DeclinedNone
Resolveddemon
Declinedmmodell
DeclinedNone
DeclinedNone
Resolved yuvipanda
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
Resolvedthcipriani
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone

Event Timeline

greg created this task.Feb 5 2015, 6:16 PM
greg raised the priority of this task from to Medium.
greg updated the task description. (Show Details)
greg added subscribers: greg, demon, mmodell, yuvipanda.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 5 2015, 6:16 PM
greg set Security to None.Feb 26 2015, 10:19 PM
greg added a subscriber: thcipriani.
greg changed the task status from Open to Stalled.Apr 25 2015, 1:09 AM
greg lowered the priority of this task from Medium to Low.
greg lowered the priority of this task from Low to Lowest.Apr 27 2015, 3:37 PM
greg raised the priority of this task from Lowest to Low.Sep 24 2015, 6:28 AM
greg lowered the priority of this task from Low to Lowest.
greg moved this task from INBOX to Backlog on the Release-Engineering-Team board.

We had a discussion about this during the RelEng team meeting today.

A couple items of note:

  1. The staging project might work better if it were couched as "Improvements to Beta"
    • Narrows the focus a bit.
    • Take any improvements from 2015-staging-work and apply them to beta: More recent distros, autoprovisioning based on hostname, etc.
    • Able to ditch hosts that are misbehaving and simply rebuild them: would be a big win.
    • End goal: problems from production are reproducible on beta.
  2. TODO before we begin this project: we'll probably need some serious ops buy in to make this a success
    • Last time we had @yuvipanda which made puppet progress a lot easier
    • We should involve ops in the planning stages (e.g., now-ish)
greg closed this task as Declined.May 20 2017, 4:33 PM

Will be superseded by other projects.